<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::ParamGenerator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1ParamGenerator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::ParamGenerator&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a448b08a8eaae1f1d27840d4dbd66c357"><td class="memItemLeft" align="right" valign="top"><a id="a448b08a8eaae1f1d27840d4dbd66c357"></a>
typedef <a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:a448b08a8eaae1f1d27840d4dbd66c357"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6b017d4d030927714d495ee95ae92fbc"><td class="memItemLeft" align="right" valign="top"><a id="a6b017d4d030927714d495ee95ae92fbc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ParamGenerator</b> (<a class="el" href="classtesting_1_1internal_1_1ParamGeneratorInterface.html">ParamGeneratorInterface</a>&lt; T &gt; *impl)</td></tr>
<tr class="separator:a6b017d4d030927714d495ee95ae92fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5891d25c31919b3099489f8bbcd58b5e"><td class="memItemLeft" align="right" valign="top"><a id="a5891d25c31919b3099489f8bbcd58b5e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ParamGenerator</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamGenerator.html">ParamGenerator</a> &amp;other)</td></tr>
<tr class="separator:a5891d25c31919b3099489f8bbcd58b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a590a03c6e0a3a3ac6279943ad1f01dc8"><td class="memItemLeft" align="right" valign="top"><a id="a590a03c6e0a3a3ac6279943ad1f01dc8"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamGenerator.html">ParamGenerator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamGenerator.html">ParamGenerator</a> &amp;other)</td></tr>
<tr class="separator:a590a03c6e0a3a3ac6279943ad1f01dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14e735c8bd113556ae905a560cd2d607"><td class="memItemLeft" align="right" valign="top"><a id="a14e735c8bd113556ae905a560cd2d607"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a14e735c8bd113556ae905a560cd2d607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf8f75df1099a07ff771a550b48f9fbe"><td class="memItemLeft" align="right" valign="top"><a id="aaf8f75df1099a07ff771a550b48f9fbe"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:aaf8f75df1099a07ff771a550b48f9fbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-param-util_8h_source.html">gtest-param-util.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1ParamGenerator.html">ParamGenerator</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
